/*
 * QUARTZ bitmap driver
 *
 * Copyright 1999 Patrik Stridvall
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "config.h"

#include <string.h>

#include "gdi.h"
#include "quartzdrv.h"
#include "winbase.h"
#include "wine/debug.h"

WINE_DEFAULT_DEBUG_CHANNEL(quartzdrv);


/***********************************************************************
 *           GetBitmapBits   (QUARTZDRV.@)
 */
LONG QUARTZDRV_GetBitmapBits(HBITMAP hbitmap, void *bits, LONG count)
{
    FIXME("(%p, %p, %ld): stub\n", hbitmap, bits, count);
    memset(bits, 0, count);
    return count;
}

/***********************************************************************
 *           SetBitmapBits   (QUARTZDRV.@)
 */
LONG QUARTZDRV_SetBitmapBits(HBITMAP hbitmap, const void *bits, LONG count)
{
    FIXME("(%p, %p, %ld): stub\n", hbitmap, bits, count);
    return count;
}

/***********************************************************************
 *		QUARTZDRV_BITMAP_CreateDIBSection
 */
HBITMAP QUARTZDRV_BITMAP_CreateDIBSection(
  QUARTZDRV_PDEVICE *physDev, BITMAPINFO *bmi, UINT usage,
  LPVOID *bits, HANDLE section, DWORD offset)
{
  FIXME("(%p, %p, %u, %p, %p, %ld): stub\n",
	physDev, bmi, usage, bits, section, offset);

  return NULL;
}

/***********************************************************************
 *		QUARTZDRV_DC_SetDIBitsToDevice
 */
INT QUARTZDRV_DC_SetDIBitsToDevice(QUARTZDRV_PDEVICE *physDev, INT xDest, INT yDest, DWORD cx,
				DWORD cy, INT xSrc, INT ySrc,
				UINT startscan, UINT lines, LPCVOID bits,
				const BITMAPINFO *info, UINT coloruse)
{
  FIXME("(%p, %d, %d, %ld, %ld, %d, %d, %u, %u, %p, %p, %u): stub\n",
	physDev, xDest, yDest, cx, cy, xSrc, ySrc, startscan, lines, bits, info, coloruse);

  return 0;
}
