/*
 * QUARTZDRV USER driver functions
 *
 * Copyright 1998 Patrik Stridvall
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "config.h"

#include <stdarg.h>

#include "windef.h"
#include "winbase.h"
#include "dinput.h"
#include "gdi.h"
#include "quartzdrv.h"
#include "wine/debug.h"

//#include <Carbon/Carbon.h>
extern void SysBeep(short);

WINE_DEFAULT_DEBUG_CHANNEL(quartzdrv);

/***********************************************************************
 *		VkKeyScan (QUARTZDRV.@)
 */
WORD QUARTZDRV_VkKeyScan(CHAR cChar)
{
  FIXME("(%c): stub\n", cChar);
  return 0;
}

/***********************************************************************
 *		MapVirtualKey (QUARTZDRV.@)
 */
UINT16 QUARTZDRV_MapVirtualKey(UINT16 wCode, UINT16 wMapType)
{
  FIXME(": stub\n");
  return 0;
}

/***********************************************************************
 *		GetKeyNameText (QUARTZDRV.@)
 */
INT16 QUARTZDRV_GetKeyNameText( LONG lParam, LPSTR lpBuffer, INT16 nSize )
{
  FIXME(": stub\n");
  if(lpBuffer && nSize)
    {
      *lpBuffer = 0;
    }
  return 0;
}

/***********************************************************************
 *		ToUnicode (QUARTZDRV.@)
 */
INT QUARTZDRV_ToUnicode( UINT virtKey, UINT scanCode, LPBYTE lpKeyState,
		      LPWSTR pwszBuff, int cchBuff, UINT flags )
{
  FIXME(": stub\n");
  return 0;
}

/***********************************************************************
 *		Beep (QUARTZDRV.@)
 */
void QUARTZDRV_Beep(void)
{
  SysBeep(30);
}

/***********************************************************************
 *		SetCursor (QUARTZDRV.@)
 */
void QUARTZDRV_SetCursor( struct tagCURSORICONINFO *lpCursor )
{
  FIXME(": stub\n");
}

/***********************************************************************
 *              GetScreenSaveActive (QUARTZDRV.@)
 *
 * Returns the active status of the screen saver
 */
BOOL QUARTZDRV_GetScreenSaveActive(void)
{
  FIXME(": stub\n");
    return FALSE;
}

/***********************************************************************
 *              SetScreenSaveActive (QUARTZDRV.@)
 *
 * Activate/Deactivate the screen saver
 */
void QUARTZDRV_SetScreenSaveActive(BOOL bActivate)
{
    FIXME("(%d): stub\n", bActivate);
}

/***********************************************************************
 *		AcquireClipboard (QUARTZDRV.@)
 */
void QUARTZDRV_AcquireClipboard(void)
{
  FIXME(": stub\n");
}

/***********************************************************************
 *		ReleaseClipboard (QUARTZDRV.@)
 */
void QUARTZDRV_ReleaseClipboard(void)
{
  FIXME(": stub\n");
}

/***********************************************************************
 *		SetClipboardData (QUARTZDRV.@)
 */
void QUARTZDRV_SetClipboardData(UINT wFormat)
{
  FIXME(": stub\n");
}

/***********************************************************************
 *		GetClipboardData (QUARTZDRV.@)
 */
BOOL QUARTZDRV_GetClipboardData(UINT wFormat)
{
  return FALSE;
}

/***********************************************************************
 *		IsClipboardFormatAvailable (QUARTZDRV.@)
 */
BOOL QUARTZDRV_IsClipboardFormatAvailable(UINT wFormat)
{
  FIXME(": stub\n");
  return FALSE;
}

/**************************************************************************
 *		RegisterClipboardFormat (QUARTZDRV.@)
 *
 * Registers a custom clipboard format
 * Returns: TRUE - new format registered, FALSE - Format already registered
 */
BOOL QUARTZDRV_RegisterClipboardFormat( LPCSTR FormatName )
{
  FIXME(": stub\n");
  return TRUE;
}

/**************************************************************************
 *		IsSelectionOwner (QUARTZDRV.@)
 *
 * Returns: TRUE - We(WINE) own the selection, FALSE - Selection not owned by us
 */
BOOL QUARTZDRV_IsSelectionOwner(void)
{
  FIXME(": stub\n");
    return FALSE;
}
